Skip to content
GET /collection/{id}/table

The default table (`main`) first, then the rest by key. Access is the collection’s.

Path Parameters

idstring
required·

Resource id

Query Parameters

qstring

Substring match on the key, name or description. LIKE wildcards are matched literally. Max 200 characters.

Response Body

can_createboolean
next_cursorstring,null
prev_cursorstring,null
resultobject[]
created_atstring
descriptionstring
field_countinteger
is_defaultboolean
keystring
namestring
row_scope_fieldstring,null
row_visibilitystring
Possible values:
allown
schema_versioninteger
statsobject,null
updated_atstring
updated_by_namestring,null
curl -X GET 'https://api.elaichi.ai/collection/<id>/table' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/collection/<id>/table', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/collection/<id>/table"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())